Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xml.xsql
Class XSQLParserHelper

`java.lang.Object
oracle.xml.xsql.XSQLParserHelper`

      public final class XSQLParserHelper

extends java.lang.Object

Common XML Parsing Routines

Constructor Summary
`XSQLParserHelper()`

Method Summary
`static Document` `newDocument()`
`static Document` `parse(java.io.InputStream is, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.io.Reader r, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.io.Reader r, java.net.URL baseUrl, java.io.PrintWriter errorWriter)`
`static Document` `parse(java.net.URL url, java.io.PrintWriter errorWriter)`
`static Document` `parseFromString(java.lang.StringBuffer xmlString, java.io.PrintWriter errorWriter)`
`static Document` `parseFromString(java.lang.String xmlString, java.io.PrintWriter errorWriter)`
`static void` `print(Document d, java.io.OutputStream out)`
`static void` `print(Document d, java.io.PrintWriter out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSQLParserHelper

    public XSQLParserHelper()

Method Detail

### parseFromString

    public static Document parseFromString(java.lang.String xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
                                           SAXParseException,
                                           SAXException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parseFromString

    public static Document parseFromString(java.lang.StringBuffer xmlString,
                                           java.io.PrintWriter errorWriter)
                                    throws java.net.MalformedURLException,
                                           java.io.IOException,
                                           SAXParseException,
                                           SAXException

  Throws:
    `java.net.MalformedURLException`
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.net.URL url,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

  Throws:
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.Reader r,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

  Throws:
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.InputStream is,
                                 java.net.URL baseUrl,
                                 java.io.PrintWriter errorWriter)
                          throws java.io.IOException,
                                 SAXParseException,
                                 SAXException

  Throws:
    `java.io.IOException`
    `SAXParseException`
    `SAXException`

### parse

    public static Document parse(java.io.Reader r,
                                 java.io.PrintWriter errorWriter)
                          throws SAXParseException,
                                 SAXException

  Throws:
    `SAXParseException`
    `SAXException`

### newDocument

    public static Document newDocument()

### print

    public static void print(Document d,
                             java.io.OutputStream out)

### print

    public static void print(Document d,
                             java.io.PrintWriter out)

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.